<html>
<head>
    <title>Swiss Dashboard</title>
</head>
<body>
    <time></time>
    <dashboard></dashboard>
    <script type="riot/tag" src="dashboard.tag"></script>
    <script type="riot/tag" src="time.tag"></script>
    <script src="lib/riot+compiler.min.js"></script>
    <script src="lib/jquery-3.2.1.min.js"></script>
    <script>riot.mount('time')</script>
    <script>
        var dashboard_tag;
        var error_tag;

        function get_data() {
            $.ajax({
                "url": "http://localhost:5000/dashboard",
                "success": function(response) {
                    riot.mount('dashboard', {data: response, error: null});
                },
                "error": function(jqXHR, textStatus) {
                    riot.mount('dashboard', {error: textStatus});
                }
            });
        }
        get_data();

        //10s
        var dashboard_int = setInterval(this.get_data, 10000);
    </script>
</body>
</html>